import { AfterViewInit, ViewContainerRef } from '@angular/core';
import { EmlAttachment } from '../model';
import * as i0 from "@angular/core";
export declare class AttachmentPreviewComponent implements AfterViewInit {
    #private;
    readonly data: EmlAttachment;
    viewerHost: ViewContainerRef;
    ngAfterViewInit(): Promise<void>;
    close(): void;
    download(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AttachmentPreviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AttachmentPreviewComponent, "yuv-attachment-preview", never, {}, {}, never, never, true, never>;
}
